Cyberduck Mountain Duck CLI

#7719 closed defect (fixed)

Permission mask not retained when editing file

Reported by: jerash Owned by: dkocher
Priority: normal Milestone: 4.4.4
Component: core Version: 4.4.3
Severity: normal Keywords: file rights
Cc: Architecture: Intel
Platform: Windows 7

Description

using the windows client application, and connecting to an archlinux system through sftp.

If a file exists (here a shell script) on linux with rights : -rwxr-xr-x after editing it in Notepad++ and saving, the file ends with rights : -rw-r--r--

Change History (3)

comment:1 Changed on Jan 6, 2014 at 10:53:37 AM by dkocher

  • Owner set to dkocher
  • Status changed from new to assigned

comment:2 Changed on Jan 12, 2014 at 8:59:17 PM by dkocher

  • Summary changed from overwriting file rights (x is removed) to Permission mask not retained when editing file

comment:3 Changed on Jan 14, 2014 at 4:45:25 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r14207.

Note: See TracTickets for help on using tickets.